Contents
On this page

Get FAQ - Plugixa FAQ

GET /plugixa-faq/v1/faqs/{id}

Read one FAQ with its answer, category, image, author and custom field values.

Any signed-in user with the plugixa_faq_manage capability or WordPress’s edit_posts (Contributors and up, by default).

Request

GET https://your-site.example/wp-json/plugixa-faq/v1/faqs/42

Path parameters

Name Type Description
id integer The FAQ’s id

Responses

200 OK. data is the FAQ.

{
  "success": true,
  "message": "",
  "data": {
    "id": "42",
    "question": "How long does shipping take?",
    "slug": "how-long-does-shipping-take",
    "answer": "<p>Orders ship within 2 business days.</p>",
    "image_id": null,
    "category_id": "3",
    "status": "published",
    "visibility": "public",
    "author_alias": null,
    "source": "admin",
    "submitter_email": null,
    "parent_id": null,
    "menu_order": "0",
    "view_count": "128",
    "feedback_enabled": null,
    "helpful_count": "14",
    "not_helpful_count": "2",
    "created_at": "2026-11-12 09:30:00",
    "created_by": "1",
    "modified_at": "2026-11-12 10:15:00",
    "modified_by": "1",
    "language_code": null,
    "translation_group": null,
    "category_name": "Shipping",
    "category_slug": "shipping",
    "category_description": "Delivery times and costs.",
    "image": null,
    "author_name": "Jordan Smith",
    "custom_fields": {
      "warranty": "2 years"
    }
  }
}
Field Type Meaning
data.id string The FAQ’s id
data.answer string HTML
data.status string draft, published, or pending for some form submissions
data.visibility string public, private or password
data.source string admin, or form for a visitor submission
data.submitter_email string|null A form submitter’s e-mail address
data.feedback_enabled string|null "1" on, "0" off, null follows the category
data.helpful_count string “Helpful” votes
data.not_helpful_count string “Not helpful” votes
data.image object|null id, url, thumbnail (medium size), alt and title of the image
data.author_name string The creating user’s display name, or Unknown
data.custom_fields object Custom field values keyed by field key (an empty list when there are none)
data.translations array Only with WPML or Polylang active: { id, language_code } of every FAQ in the same translation group

Errors

Status Code When
404 rest_error No FAQ with that id.

Plus the errors every endpoint can return.

Examples

curl -s "https://your-site.example/wp-json/plugixa-faq/v1/faqs/42" \
  -u "admin:$WP_APP_PASSWORD"
<?php
$ch = curl_init('https://your-site.example/wp-json/plugixa-faq/v1/faqs/42');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_USERPWD        => 'admin:' . getenv('WP_APP_PASSWORD'),
]);
$response = json_decode(curl_exec($ch), true);
curl_close($ch);
const response = await fetch('https://your-site.example/wp-json/plugixa-faq/v1/faqs/42', {
  headers: {
    'Authorization': 'Basic ' + btoa(`admin:${process.env.WP_APP_PASSWORD}`),
  },
});
const { data } = await response.json();

Quick Links

Share